/* Education ================ */

@import "../../core/variables";

.education {
  width: 100%;
  padding-top: 35px;
  padding-bottom: 40px;
  overflow: hidden;

  @include mq("laptop-small", "max") {
    padding-top: 20px;
    padding-bottom: 20px;
  }
}

.education__container {
  position: relative;
  display: flex;

  @include mq("tablet", "max") {
    flex-direction: column;
  }
}

.education__content {
  max-width: 890px;

  @include mq("desktop-fullhd", "max") {
    max-width: 700px;
  }

  @include mq("desktop", "max") {
    max-width: 690px;
  }

  @include mq("laptop-small", "max") {
    max-width: 550px;
  }

  @include mq("tablet", "max") {
    max-width: 400px;
  }

  @include mq("tablet-small", "max") {
    max-width: 100%;
  }
}

.education__image {
  width: 60%;
  margin-top: -30px;

  @include mq("desktop-fullhd") {
    margin-right: -80px;
  }

  @include mq("desktop-fullhd", "max") {
    position: absolute;
    top: 50px;
    right: -70px;
    z-index: -1;
    width: 52%;
    margin: 0;
  }

  @include mq("laptop-small", "max") {
    top: 10%;
    width: 50%;
  }

  @include mq("tablet", "max") {
    top: 20%;
    right: -20px;
    width: 55%;
  }

  @include mq("tablet-small", "max") {
    position: relative;
    top: auto;
    right: auto;
    width: 70%;
    margin: 0 auto;
  }

  @include mq("phone-large", "max") {
    width: 80%;
  }

  @include mq("phone-large", "max") {
    margin-top: 20px;
  }
}

.list-styled {
  margin: 30px 0;
}

.list-styled__item {
  position: relative;
  padding-left: 26px;

  &::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 14px;
    height: 18px;
    background: url("../images/bullet.svg") no-repeat;
    background-size: cover;
  }

  + .list-styled__item {
    margin-top: 10px;
  }
}

/* ================ end education */
